Skip to main content
GET
/
v1
/
buyers
List carbon credit buyers
curl --request GET \
  --url https://vcm-fyi-api.fly.dev/v1/buyers/ \
  --header 'X-API-KEY: <api-key>'
{
  "pagination": {
    "total_entries": 123,
    "current_page": 123,
    "total_pages": 123,
    "next_page": "<string>"
  },
  "data": [
    {
      "buyer_name": "<string>",
      "total_volume": 123,
      "volume_12m": 123,
      "volume_60d": 123,
      "avg_transaction_size": 123,
      "total_transactions": 123,
      "transactions_12m": 123,
      "transactions_60d": 123,
      "transactions_per_year": 123,
      "first_purchase": "2023-12-25",
      "last_purchase": "2023-12-25",
      "days_since_last": 123,
      "top_category": "<string>",
      "top_country": "<string>",
      "top_registry": "<string>",
      "is_active_12m": true,
      "is_active_60d": true
    }
  ]
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

project_id
string[] | null

Filter by specific project ID(s)

current_page
integer
default:1

Page number

Required range: x >= 1
per_page
integer
default:100

Items per page

Required range: 1 <= x <= 200
sort
string[]

List of sorting parameters. Available: total_volume, volume_12m, volume_60d, avg_transaction_size, total_transactions, transactions_12m, transactions_60d, transactions_per_year, first_purchase, last_purchase, days_since_last. Prefix with - for descending.

registry
enum<string>[] | null

Registry name

Available options:
verra,
gold-standard,
american-carbon-registry,
climate-action-reserve,
art-trees,
isometric,
puro-earth,
plan-vivo,
none
country
string[] | null

Country name

protocol
string[] | null

Protocol name

category
string[] | null

Category name

is_compliance
boolean | null

Whether project is an ARB project

listed_at_from

Format: YYYY-MM-DD

listed_at_to

Format: YYYY-MM-DD

issued_min
integer | null

Minimum number of issued credits

issued_max
integer | null

Maximum number of issued credits

retired_min
integer | null

Minimum number of retired credits

retired_max
integer | null

Maximum number of retired credits

project_type
string[] | null

Project type

proponent
string[] | null

Project proponent/developer name

sdg_goals
integer[] | null

UN SDG goals (1-17). Multiple values = AND filter (must have ALL selected goals)

certifications
string[] | null

Specific certification labels (e.g., ccb-gold, ccb-biodiversity-gold, corsia). Multiple values = OR filter

corc_durability
string[] | null

Puro.earth CORC durability (100+ or 1000+). Multiple values = OR filter

has_ccb
boolean | null

Has CCB (Climate, Community & Biodiversity) certification

has_icvcm_ccp
boolean | null

Has ICVCM Core Carbon Principles certification

has_corsia
boolean | null

CORSIA eligible

has_sdvista
boolean | null

Has SD VISta certification

has_social_carbon
boolean | null

Has Social Carbon certification

article6_authorized
boolean | null

Authorized under Paris Agreement Article 6

article6_authorization_types
string[] | null

Article 6 authorization types: NDC Use, Intl mitigation purposes, Other purposes

transaction_type
string[] | null

Transaction type

vintage
integer[] | null

Vintage

transaction_date_from

Format: YYYY-MM-DD

transaction_date_to

Format: YYYY-MM-DD

quantity_min
integer | null

Minimum transaction quantity

quantity_max
integer | null

Maximum transaction quantity

buyer_search
string | null

Search buyer name (case insensitive)

total_volume_min
integer | null

Minimum total volume of credits purchased

total_volume_max
integer | null

Maximum total volume of credits purchased

volume_12m_min
integer | null

Minimum volume purchased in last 12 months

volume_12m_max
integer | null

Maximum volume purchased in last 12 months

avg_transaction_min
integer | null

Minimum average transaction size

avg_transaction_max
integer | null

Maximum average transaction size

transaction_count_min
integer | null

Minimum number of transactions

transaction_count_max
integer | null

Maximum number of transactions

is_active_12m
boolean | null

Filter for buyers active in last 12 months

is_active_60d
boolean | null

Filter for buyers active in last 60 days

Response

Paginated list of buyers with aggregated retirement statistics

pagination
Pagination · object
required
data
BuyerStats · object
required